BINDCTL(1)

NAME
bindctl - control and configure BIND 10

SYNOPSIS

bindctl [-a address] [-h] [-c file] [-p number] [--address address] [--help] [--certificate-chain file] [--csv-file-dirfile] [--port number] [--version]

DESCRIPTION

The bindctl tool is a user interface to the BIND 10 services. The program can be used to control the components and configure the BIND 10 options. The options may be specified via its interactive command interpreter.

bindctl communicates over a HTTPS REST-ful interface provided by b10-cmdctl(8). The b10-cfgmgr(8) daemon stores the configurations.

ARGUMENTS

The arguments are as follows:

-a address, --address address
    The IPv4 or IPv6 address to use to connect to the running b10-cmdctl(8) daemon. The default is 127.0.0.1.

-c file, --certificate-chain file
    The PEM formatted server certificate validation chain file.

--csv-file-dirfile
    The directory name in which the user/password CSV file is stored (see AUTHENTICATION). By default this option doesn't have any value, in which case the ".bind10" directory under the user's home directory will be used.

-h, --help
    Display command usage.

-p number, --port number
    The port number to use to connect to the running b10-cmdctl(8) daemon. The default is 8080.

        Note
        This default port number may change.

--version
    Display the version number and exit.

AUTHENTICATION

The tool will authenticate using a username and password. On the first successful login, it will save the details to a comma-separated-value (CSV) file which will be used for later uses of bindctl. The file name is "default_user.csv" located under the directory specified by the --csv-file-dir option.

USAGE

The bindctl prompt shows “> ”. The prompt will also display the location if changed. The options are based on the module in use. The usage is: module command param1 = value1 , param2 = value2

bindctl's interactive interface provides command-line completion and hints. Press the Tab key to get a hint for the module, command, and/or parameters. The arrow keys and Emacs-style editing keys may be used to edit and recall previous lines.

You can use the help keyword to receive usage assistance for a module or a module's command.

The quit command is used to exit bindctl. (It doesn't stop the BIND 10 services.)

The following module is available by default: config for Configuration commands. Additional modules may be available, such as Boss, Xfrin, and Auth.

SEE ALSO

b10-auth(8), b10-cfgmgr(8), b10-cmdctl(8), b10-xfrin(8), bind10(8), BIND 10 Guide.

AUTHORS

The bindctl tool and library were initially coded by Zhang Likun of CNNIC for the BIND 10 project. The initial manual page was written by Jeremy C. Reed of ISC.

HISTORY

The initial version (with internal name of BigTool) was started in October 2009.

COPYRIGHT
Copyright © 2010 Internet Systems Consortium, Inc. ("ISC")